Lumaktaw sa nilalaman

Ideogram V2 Turbo

I-integrate

ID ng modelo ideogram/v2/turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: $0.05 50 kredito ng API Patakbuhin ito sa page na ito

Kumuha ng API key
Ideogram Text patungong Larawan Mabilis #realism#typography

Mas mabilis na Ideogram V2 text-to-image na may malakas na typography, estilo preset at 11 aspect ratio

Ideogram · Larawan

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan
aspect_ratio default na 1:1

Aspect ratio na gagamitin para sa output na larawan.

advanced negative_prompt · style · seed · expand_prompt
default na

Negative prompt na tumutukoy sa content na hindi isasama sa output na larawan.

style default na auto

Visual style para sa output na larawan.

Seed value para sa pagbuo ng random number.

POST /run/ideogram/v2/turbo?wait=20 presyo → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ideogram/v2/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Ideogram V2 Turbo

Turbo variant ng Ideogram V2 na gumagawa ng mga larawan mula sa `prompt`. Pumili ng `style` (auto, general, realistic, design, render_3D, anime) at isa sa 11 `aspect_ratio` value. Mayroon din itong `expand_prompt`, `negative_prompt` at `seed`.

Mga parameter

PangalanUri defaultPinapayagan Paglalarawan
promptkinakailangan
Uristring
aspect_ratioopsyonal
Urienum
default1:1
10:1616:109:1616:94:33:41:11:33:13:22:3
Aspect ratio na gagamitin para sa output na larawan.
expand_promptopsyonal
Uriboolean
defaulttrue
Kinokontrol kung palalawakin ng MagicPrompt ang prompt.
seedopsyonal
Uriinteger | null
Seed value para sa pagbuo ng random number.
styleopsyonal
Urienum
defaultauto
autogeneralrealisticdesignrender_3Danime
Visual style para sa output na larawan.
negative_promptopsyonal
Uristring
default
Negative prompt na tumutukoy sa content na hindi isasama sa output na larawan.
kinakailangan

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ideogram/v2/turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
images
array of object {url, content_type, file_name, file_size}
seed
integerSeed value na ginagamit para sa pagbuo ng random number.

Higit pang modelo: Text patungong Larawan

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/ideogram/v2/turbo.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt